#include <fstream>
#include <string>
#include <vector>
#include "wordz.h"

std::vector<std::string> dictionary;

void ReadDictionary(void) throw (std::bad_alloc)
{
	char filename[5000];
	snprintf(filename, 4999, "%s/words", Datapath());
	std::ifstream file(filename);
	if (!file.good()) throw std::bad_alloc();
	std::string s;
	while (file >> s)
		dictionary.push_back(s);
	file.close();
}
